﻿using System.Linq;
using System.Threading.Tasks;
using EfCoreStoreProc.Data;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;

namespace EfCoreStoreProc.Controllers
{
    [Route("api/[controller]")]
    public class ProductsController : Controller
    {
        private readonly ProductContext _productContext;

        public ProductsController(ProductContext productContext)
        {
            _productContext = productContext;
        }

        // GET api/values
        [HttpGet]
        public async Task<IActionResult> Get()
        {
            var products = await _productContext.Products.FromSql("EXECUTE Sp_SomeStoredProc").ToListAsync();
            if (!products.Any())
            {
                return NoContent();
            }

            return Ok(products);
        }
    }
}
